Bug 1471868 - [Embedded Ansible] Show "Red Cross" Icon in notification instead of "Green Check Mark" if the Repo Addition is failed
[Embedded Ansible] Show "Red Cross" Icon in notification instead of "Green Ch...
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Zita Nemeckova
luke couzens
ansible_embed
: TestOnly, ZStream
Depends On:
Blocks: 1496908
  Show dependency treegraph
 
Reported: 2017-07-17 10:48 EDT by Kedar Kulkarni
Modified: 2017-10-11 11:15 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1496908 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Ansible
kkulkarn: automate_bug-


Attachments (Terms of Use)
Notification after adding invalid ansible repo (41.75 KB, image/png)
2017-07-17 10:48 EDT, Kedar Kulkarni
no flags Details
Green Check mark (110.96 KB, image/png)
2017-10-10 14:35 EDT, Kedar Kulkarni
no flags Details

  None (edit)
Description Kedar Kulkarni 2017-07-17 10:48:43 EDT
Created attachment 1299885 [details]
Notification after adding invalid ansible repo

Description of problem:
When you add a new Ansible Repo and if the addition of the repository fails, you see a notification pop-up on top right corner with the Message "Repo addition Failed" and there is a green check mark next to the notification. So it might be confusing, because people tend to see green check mark and feel everything was Ok, but it reality the repo was failed to add. See Screenshot attached for example. 

Version-Release number of selected component (if applicable):
5.8.1.2

How reproducible:
100%

Steps to Reproduce:
1.Enable embedded Ansible Role on Appliance 
2.Go to Automate -> Ansible -> Repositories
3.Configuration-> Add new Repositories 
4.Add some random repository which will be invalid and would fail to add

Actual results:
See screenshot

Expected results:
Show "Red Cross" Icon in the pop-up notification to make sure the notifications brings users attention to fact that the repo addition failed. 

Additional info:
Comment 2 Zita Nemeckova 2017-09-19 10:11:00 EDT
Hi,

I cannot reproduce. Could you please give me an appliance where it's not working.

Thanks,
Zita
Comment 8 luke couzens 2017-09-19 12:58:18 EDT
I tried to reproduce something similar before but couldn't get anything else to cause the same issue, perhaps its only a problem when adding repos without the url validation, So this potentially is now fixed too.
Comment 9 Zita Nemeckova 2017-09-20 09:22:59 EDT
https://github.com/ManageIQ/manageiq/pull/15998
Comment 11 Kedar Kulkarni 2017-10-10 14:35 EDT
Created attachment 1336879 [details]
Green Check mark

Message is still shown with Green Checkmark. And the message itself does not seem to provide correct info as well.
Comment 12 Zita Nemeckova 2017-10-11 09:03:39 EDT
Hello,

I'm pretty sure this new behavior isn't a bug. Your message is a successful one so it should have a green checkmark. And I don't see any specific problem with its content as it's a rather generic one.
Comment 13 Kedar Kulkarni 2017-10-11 09:15:51 EDT
Hello Zita,

Thanks for reply. Message was displayed for when I added an INVALID repo (http://test), which ended up failing. So, 1st thing that I expect is to see a Message telling me the repo addition "Failed" with the Red Cross mark. Not expecting to see Green Check mark. 

On the other hand, the message is incorrect, in that the text says "...Project Creation()..." where the () after creation are empty. When I added a valid repo later to see what should be there in those (), I saw there was "name=reponame" in that (). Which made that message look as follows: 
"... Project Creation(name=reponame)..."

So, I think if the () are empty, then message is incorrect. 

Lastly, is (manager_id=2) should be "2" for every repo I add? Because I added multiple repo and manager_id does not seem to change.

Please let me know if that makes sense. We can do a BlueJeans session to explain this more if required.

Thanks,
KK.
Comment 14 Zita Nemeckova 2017-10-11 09:26:24 EDT
Hello,

thanks now it makes more sense :) Could you please create a new BZ as the error you are getting is not related to this BZ or its fix? Thanks :)
Comment 15 Kedar Kulkarni 2017-10-11 09:51:16 EDT
Hello,
So the Errors that I am seeing with the messages is a different BZ, right? 

And what about this BZ? What would be Fate of this BZ? 

Thanks,
KK.
Comment 16 Zita Nemeckova 2017-10-11 10:01:43 EDT
Original error message now has red cross instead of green checkmark. But I think you cannot reproduce because UI was fixed to not allow wrong format of URL (like "test") which was causing the original failure(wrong format of URL). So verified or worksforme for this BZ I guess.

Error you are seeing is a backend issue as server is sending wrong notifications for non-existant repo(format of URL is correct).

Hope it helped.
Comment 17 Kedar Kulkarni 2017-10-11 11:15:47 EDT
created new BZ for error message: https://bugzilla.redhat.com/show_bug.cgi?id=1500849

Note You need to log in before you can comment on or make changes to this bug.